Subject: Default upload folder not accessible for editors
Description

The default folder of a storage is currently not available for normal editors by default.

A filemount to the folder is required, otherwise the user will get an error that the folder is not accessible.

Is this desired behavior. Or should the default folder automatically be added to the isWithinFileMountBoundaries check in the
ResourceStorage?

Related issues:
duplicated by Core - Bug # 55466: Don't show upload form if user has no right... Closed 2014-01-30

Associated revisions
Revision dc1a8865 - 2014-01-31 12:29 - Alexander Stehlik

[BUGFIX] Prevent permission Exception in ElementBrowser

To prevent Exceptions in the ElementBrowser resource Exceptions are
catched in two places:

The Exception is catched in the ElementBrowser itsself when the
previously selected folder is not accessible.

Additionally the Exception is cached in the getDefaultUploadFolder()
method in BackendUserAuthentication when the default folder of a
storage is not accessible.

Resolves: #55439
Releases: 6.2
Change-Id: I64848c3a88cc2cc571c0bf692101647b95666972
Reviewed-on: https://review.typo3.org/27145
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Stefan Froemken
Tested-by: Stefan Froemken
Reviewed-by: Frans Saris
Tested-by: Frans Saris
#1 - 2014-01-29 17:20 - Alexander Stehlik

This is specially a problem in the ElementBrowser. If the user did not access a folder before, the default folder is used as initial expanded folder.

If the user does not have access to it, the ElementBrowser will show an Exception "You are not allowed to access the given folder".

#2 - 2014-01-29 21:42 - Frans Saris

Imo this should be handled. Maybe just catch the exeption so the element browser is still shown.

#3 - 2014-01-30 11:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27145

#4 - 2014-01-30 13:03 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27145

#5 - 2014-01-31 12:30 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dc1a88656e3c06ea814f9fe804606802784a987b.
